org.jfree.xml.parser.coretypes

## Class NullReadHandler

- java.lang.Object
- - org.jfree.xml.parser.AbstractXmlReadHandler
  - - org.jfree.xml.parser.coretypes.NullReadHandler

- All Implemented Interfaces:
    XmlReadHandler

      public class NullReadHandler
      extends AbstractXmlReadHandler

  A null read handler.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullReadHandler()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getObject()` Returns the object for this element.

    - ### Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler

      `characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement, startParsing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullReadHandler

          public NullReadHandler()

      Default constructor.

  - ### Method Detail

    - #### getObject

          public java.lang.Object getObject()
                                     throws XmlReaderException

      Returns the object for this element.
      Returns:
        the object.
      Throws:
        `XmlReaderException` - if there is a parsing error.